Bug 987861 - pandaboard ARM: usb serial PL2303 does not work [NEEDINFO]
pandaboard ARM: usb serial PL2303 does not work
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
arm Linux
medium Severity medium
: ---
: ---
Assigned To: Kyle McMartin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 06:16 EDT by Stefan Assmann
Modified: 2015-08-31 23:54 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-10 10:43:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)
full dmesg (20.64 KB, text/plain)
2013-07-24 06:16 EDT, Stefan Assmann
no flags Details

  None (edit)
Description Stefan Assmann 2013-07-24 06:16:38 EDT
Created attachment 777711 [details]
full dmesg

Description of problem:
USB serial port doesn't work when connected to the pandaboard but works on x86 host.

[root@panda ~]# lsusb
[...]
Bus 001 Device 004: ID 067b:2303 Prolific Technology, Inc. PL2303 Serial Port

The only difference I could spot right away is this
x86 host
[root@x121e ~]# cat /proc/tty/driver/serial·
serinfo:1.0 driver revision:
0: uart:unknown port:000003F8 irq:4
1: uart:unknown port:000002F8 irq:3
2: uart:unknown port:000003E8 irq:4
3: uart:unknown port:000002E8 irq:3
pandaboard
[root@panda ~]# cat /proc/tty/driver/serial
serinfo:1.0 driver revision:
0: uart:unknown port:00000000 irq:0
1: uart:unknown port:00000000 irq:0
2: uart:unknown port:00000000 irq:0
3: uart:unknown port:00000000 irq:0

Version-Release number of selected component (if applicable):
3.9.9-302.fc19.armv7hl

How reproducible:
always

Actual results:
USB serial doesn't work
Expected results:
USB serial works

Additional info:
I remember having successfully used this USB serial with a previous version of Fedora ARM.

[root@panda ~]# dmesg | egrep -i 'serial|tty|pl2303'
[    0.000000] Kernel command line: ro rootwait rhgb quiet root=UUID=ec232929-5693-4a59-8a16-67e70d2fae0f console=ttyO2,115200n8
[    0.299835] Serial: AMBA PL011 UART driver
[    1.286590] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
[    1.287963] Serial: AMBA driver
[    1.288421] omap_uart.0: ttyO0 at MMIO 0x4806a000 (irq = 104) is a OMAP UART0
[    1.288940] omap_uart.1: ttyO1 at MMIO 0x4806c000 (irq = 105) is a OMAP UART1
[    1.289428] omap_uart.2: ttyO2 at MMIO 0x48020000 (irq = 106) is a OMAP UART2
[    1.313568] console [ttyO2] enabled
[    1.314086] omap_uart.3: ttyO3 at MMIO 0x4806e000 (irq = 102) is a OMAP UART3
[    1.339935] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    1.339996] usb usb1: SerialNumber: ehci-omap.0
[    1.419921] usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    1.419952] usb usb2: SerialNumber: ohci-omap3.0
[    1.421295] usbcore: registered new interface driver usbserial
[    1.421356] usbcore: registered new interface driver usbserial_generic
[    1.421386] usbserial: USB Serial support registered for generic
[    1.810607] usb 1-1: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[    2.200592] usb 1-1.1: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[    2.391418] usb 1-1.3: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[    2.391448] usb 1-1.3: Product: USB-Serial Controller
[   45.659301] usbcore: registered new interface driver pl2303
[   45.659393] usbserial: USB Serial support registered for pl2303
[   45.659484] pl2303 1-1.3:1.0: pl2303 converter detected
[   45.670745] usb 1-1.3: pl2303 converter now attached to ttyUSB0
Comment 1 Kyle McMartin 2013-07-24 09:58:20 EDT
Looks like it registered just fine. Try creating the device nodes manually?

The difference in /proc/tty/driver/serial is because ARM doesn't have legacy X86 serial ports in fixed in IO-space (ie: com0-3 on PC)
Comment 2 Kyle McMartin 2013-07-24 10:29:54 EDT
Clarified some things on IRC, I'm going to try to reproduce this tomorrow on my rev A2 with pl2303.
Comment 3 Josh Boyer 2013-10-08 12:50:06 EDT
Did magic happen here?
Comment 4 Stefan Assmann 2013-10-09 02:30:52 EDT
Josh, not sure what you're aiming at, but to my knowledge things haven't changed.
Comment 5 Stefan Assmann 2013-10-09 04:04:33 EDT
Kyle,
did you get a chance to look at this yet?
Comment 6 Kyle McMartin 2013-10-09 09:27:46 EDT
No, we dropped pandaboard as a "supported" platform in F-20 and I've been busy with other things.
Comment 7 Justin M. Forbes 2014-01-03 17:10:53 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.12.6-200.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 8 Justin M. Forbes 2014-03-10 10:43:53 EDT
*********** MASS BUG UPDATE **************

This bug has been in a needinfo state for more than 1 month and is being closed with insufficient data due to inactivity. If this is still an issue with Fedora 19, please feel free to reopen the bug and provide the additional information requested.

Note You need to log in before you can comment on or make changes to this bug.